
!Float methodsFor: '*javascript-pharo20-core' stamp: 'pmm 8/4/2012 18:59'!
javascriptOn: aStream
	self isNaN ifTrue: [
		^ aStream nextPutAll: 'NaN' ].
	self isInfinite ifTrue: [
		^ aStream nextPutAll: (self positive ifTrue: [ 'Infinity' ] ifFalse: [ '-Infinity' ]) ].
	super javascriptOn: aStream.! !

!GRPackage class methodsFor: '*javascript-pharo20-core' stamp: 'pmm 8/4/2012 19:02'!
javascriptPharo20Core
	^ self new
		name: 'Javascript-Pharo-Core';
		addDependency: 'Javascript-Core';
		addDependency: 'Seaside-Pharo20-Core';
		url: #seasideUrl;
		yourself! !

!Color methodsFor: '*javascript-pharo-core' stamp: 'lr 4/14/2009 00:18'!
javascriptOn: aStream
	aStream nextPut: $"; nextPut: $#.
	aStream nextPutAll: (((self red * 255) truncated printStringBase: 16)
		padded: #left to: 2 with: $0).
	aStream nextPutAll: (((self green * 255) truncated printStringBase: 16)
		padded: #left to: 2 with: $0).
	aStream nextPutAll: (((self blue * 255) truncated printStringBase: 16)
		padded: #left to: 2 with: $0).
	aStream nextPut: $"! !

!GRDelegatingStream methodsFor: '*javascript-pharo-core' stamp: 'pmm 2/20/2009 22:04'!
javascript: anObject
	anObject javascriptOn: self! !
